From: "Fabian Grünbichler" <f.gruenbichler@proxmox.com>
To: pve-devel@lists.proxmox.com
Subject: [pve-devel] [PATCH proxmox-kernel-helper] grub-wrapper: don't fail on reinit/refresh error
Date: Tue, 21 Nov 2023 08:53:05 +0100 [thread overview]
Message-ID: <20231121075305.3531240-1-f.gruenbichler@proxmox.com> (raw)
these can happen for example if the system
- is set up to boot using systemd-boot
- but grub updates trigger a call to "grub-install"
- and systemd-boot is not installed
in this case, "proxmox-boot-tool reinit" will fail because of the lack of
"systemd-boot", and the upgrade triggering the grub-install call would error
out.
all the error messages/warnings are still printed and hopefully noticed.
Signed-off-by: Fabian Grünbichler <f.gruenbichler@proxmox.com>
---
src/bin/grub-install-wrapper | 5 +++--
1 file changed, 3 insertions(+), 2 deletions(-)
diff --git a/src/bin/grub-install-wrapper b/src/bin/grub-install-wrapper
index 97649a4..9264303 100755
--- a/src/bin/grub-install-wrapper
+++ b/src/bin/grub-install-wrapper
@@ -10,8 +10,9 @@ if proxmox-boot-tool status --quiet; then
MARKER_FILE="/tmp/proxmox-boot-tool.dpkg.marker"
if [ ! -e "$MARKER_FILE" ]; then
warn "This system is booted via proxmox-boot-tool, running proxmox-boot-tool init for all configured bootdisks"
- proxmox-boot-tool reinit
- proxmox-boot-tool refresh
+ # can fail for various reasons, but we don't want to fail the upgrade..
+ proxmox-boot-tool reinit || true
+ proxmox-boot-tool refresh || true
touch "$MARKER_FILE"
exit 0
else
--
2.39.2
next reply other threads:[~2023-11-21 7:53 UTC|newest]
Thread overview: 2+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-11-21 7:53 Fabian Grünbichler [this message]
2023-11-21 8:21 ` [pve-devel] applied: " Thomas Lamprecht
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20231121075305.3531240-1-f.gruenbichler@proxmox.com \
--to=f.gruenbichler@proxmox.com \
--cc=pve-devel@lists.proxmox.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox